Skip to main content

Special Offers

Overview​

This resource represents Special Offers which are the Rental's price (as initial_price in Booking) modifiers, making it possible to provide special discounts during certain periods.

Parameters​

List special offers​

List all special offers for a given account(s).

GET /special_offers

Get a single special offer​

Returns a single special offer identified by ID.

GET /special_offers/:special_offer_id

Create a new special offer​

Creates a special offer for given rental.

POST /rentals/:rental_id/special_offers

Update a special offer​

Returns an updated special offer identified by ID.

PUT /special_offers/:special_offer

Destroy a special offer​

Required OAuth scope: :rates_write

Returns empty response with 204 No Content status code on success.

DELETE /special_offers/:special_offer_id